Okta Identity Governance
/Management APIs
/- Retrieve a collection resource
Create a resource collection
List all resource collections
Retrieve a resource collection
Replace a resource collection
Delete a collection
List all collection resources
Add the resources to a collection
Delete a collection resource
Replace a collection resource
Retrieve the unassigned users
List all assignments for a collection
Assign a collection to principals
Update a principal assignment
Delete a principal assignment
List all assignments for all collections
Retrieve a collection res...
Retrieves a collection resource with entitlements
Note: This endpoint is deprecated. Use getCollectionResourceV2 instead.
- https://subdomain.okta.comhttps://subdomain.okta.com/governance/api/v1/collections/{collectionId}/resources/{resourceId}
curl -i -X GET \
'https://subdomain.okta.com/governance/api/v1/collections/{collectionId}/resources/{resourceId}'Response to a successful get resource collection operation
The ORN identifier for a specific app. Other resource types aren't supported.
See the supported-resources endpoint for reference.
The Okta app.id of the resource.
See List applications to retrieve app IDs.
Links available on a resource within a resource collection
The entitlements associated with the collection. Use the include query parameter to return entitlements for the collection.
Response
{ "resourceOrn": "orn:okta:idp:00ofsdghasfhas54wewe:apps:salesforce:0oafxqCAJWWGELFTYASJ", "resourceId": "res789067asg6asdf7g", "resourceProfile": { "id": "0oafxqCAJWWGELFTYASJ", "name": "salesforce", "label": "Salesforce", "logo": [ … ] }, "entitlementValueCount": 2, "entitlements": [ { … }, { … } ], "_links": { "entitlements": { … } } }